org.apache.xpath.domapi

## Class XPathStylesheetDOM3Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - org.apache.xpath.domapi.XPathStylesheetDOM3Exception

All Implemented Interfaces:
  java.io.Serializable

    public final class XPathStylesheetDOM3Exception
    extends TransformerException

A new exception to add support for DOM Level 3 XPath API. This class is needed to throw a org.w3c.dom.DOMException with proper error code in createExpression method of XPathEvaluatorImpl (a DOM Level 3 class). This class extends TransformerException because the error message includes information about where the XPath problem is in the stylesheet as well as the XPath expression itself.

See Also:
  Serialized Form
Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`XPathStylesheetDOM3Exception(java.lang.String msg, SourceLocator arg1)`

### Method Summary

### Methods inherited from class javax.xml.transform.TransformerException

`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XPathStylesheetDOM3Exception

    public XPathStylesheetDOM3Exception(java.lang.String msg,
                                SourceLocator arg1)